﻿<UserControl x:Class="CoursesApp.Chapters.ChaptersView"
             xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
             xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
             xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006" 
             xmlns:d="http://schemas.microsoft.com/expression/blend/2008" 
             xmlns:local="clr-namespace:CoursesApp.Chapters"
             mc:Ignorable="d" 
             d:DesignHeight="450" d:DesignWidth="800">
    <UserControl.DataContext>
        <local:ChaptersViewModel />
    </UserControl.DataContext>
    <Grid Margin="5">
        <Grid.RowDefinitions>
            <RowDefinition Height="1*"/>
            <RowDefinition Height="14*"/>
        </Grid.RowDefinitions>
        <DockPanel Grid.Row="0" VerticalAlignment="Center">
            <TextBlock VerticalAlignment="Center">
                Courses
            </TextBlock>
            <ComboBox ItemsSource="{Binding Courses}" SelectedItem="{Binding SelectedCourse}" Width="100" DisplayMemberPath="Name" SelectedValuePath="Id" Margin="0,0,5,0"/>
            <TextBlock>Name:</TextBlock>
            <TextBox Text="{Binding Name}" Width="70" Margin="0,0,5,0"/>
            <TextBlock>IsPremium:</TextBlock>
            <CheckBox IsChecked="{Binding IsPremium}" VerticalAlignment="Center" />
            <Button Command="{Binding ChaperAddCommand}" HorizontalAlignment="Right" Margin="0,0,5,0">Add new</Button>
        </DockPanel>
        <DataGrid Grid.Row="1" ItemsSource="{Binding Chapters}" CanUserAddRows="False" AutoGenerateColumns="False">
            <DataGrid.Columns>
                <DataGridTextColumn Header="Name" Width="100" MaxWidth="100" Binding="{Binding Name}"/>
                <DataGridCheckBoxColumn Header="Is premium" MaxWidth="100" Binding="{Binding IsPremium}"/>
            </DataGrid.Columns>
        </DataGrid>
    </Grid>
</UserControl>
